package com.steering.model.qcm;

/**
 * 数据库表QCM_ZC_CHECKCONSIGN_DETAIL所对应的实体类（生成工具：代码生成器3.0）
 * @author DESKTOP-1M51SAA   date 2019-03-29
 */
@SuppressWarnings("serial")
public class QcmZcCheckconsignDetailEntity implements java.io.Serializable {
    /**
     * 检验编号
     */
    private String checkNo = "";
    /**
     * 性能批号
     */
    private String batchNo = "";
    /**
     * 试样号
     */
    private String sampleNo = "";
    /**
     * 试样组代码
     */
    private String phyCodeMax = "";
    /**
     * 试样组名称
     */
    private String phyNameMax = "";
    /**
     * 取样频率代码(4011)(组批要求,支数限制)
     */
    private String rate = "";
    /**
     * 取样频率描述
     */
    private String descRate = "";
    /**
     * 试样码
     */
    private String eic = "";
    /**
     * 样条号
     */
    private String sampleNoMin = "";
    /**
     * 样条数GS
     */
    private String sampleCount = "";
    /**
     * 取样长度
     */
    private String sampleLen = "";
    /**
     * 样管管号
     */
    private String matNo = "";
    /**
     * 管头编号
     */
    private String headMatNo = "";
    /**
     * 管序号
     */
    private String barCode = "";
    /**
     * 内控判定结果 0 不合 1合格
     */
    private String nkResult = "";
    /**
     * 交付判定结果 0不合 1合格
     */
    private String jfResult = "";
    /**
     * 判定结果来源（0系统  1人工）
     */
    private String resultSource = "";
    /**
     * 是否报出 (0未报出  1已报出)  -----（暂未启用）------
     */
    private String isQuote = "";
    /**
     * 有效标志（0无效  1有效）
     */
    private String validflag = "";
    /**
     * 原判定炉号
     */
    private String oldJudgeStoveNo = "";
    /**
     * 原性能批号
     */
    private String oldBatchNo = "";
    /**
     * 是否主炉号（0否   1是）
     */
    private String isMain = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    private String cnt = "";
    private String phyCodeMin = "";
    private String sampleId = "";
    private String judgeStoveNo = "";
    private String phyNameMin = "";
    private String chk = "";

    /**
     * 检验编号
     * @return value
     */
    public String getCheckNo() {
        return checkNo;
    }

    /**
     * 检验编号
     * @param checkNo value
     */
    public void setCheckNo(String checkNo) {
        this.checkNo = checkNo;
    }

    /**
     * 性能批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 性能批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 试样号
     * @return value
     */
    public String getSampleNo() {
        return sampleNo;
    }

    /**
     * 试样号
     * @param sampleNo value
     */
    public void setSampleNo(String sampleNo) {
        this.sampleNo = sampleNo;
    }

    /**
     * 试样组代码
     * @return value
     */
    public String getPhyCodeMax() {
        return phyCodeMax;
    }

    /**
     * 试样组代码
     * @param phyCodeMax value
     */
    public void setPhyCodeMax(String phyCodeMax) {
        this.phyCodeMax = phyCodeMax;
    }

    /**
     * 试样组名称
     * @return value
     */
    public String getPhyNameMax() {
        return phyNameMax;
    }

    /**
     * 试样组名称
     * @param phyNameMax value
     */
    public void setPhyNameMax(String phyNameMax) {
        this.phyNameMax = phyNameMax;
    }

    /**
     * 取样频率代码(4011)(组批要求,支数限制)
     * @return value
     */
    public String getRate() {
        return rate;
    }

    /**
     * 取样频率代码(4011)(组批要求,支数限制)
     * @param rate value
     */
    public void setRate(String rate) {
        this.rate = rate;
    }

    /**
     * 取样频率描述
     * @return value
     */
    public String getDescRate() {
        return descRate;
    }

    /**
     * 取样频率描述
     * @param descRate value
     */
    public void setDescRate(String descRate) {
        this.descRate = descRate;
    }

    /**
     * 试样码
     * @return value
     */
    public String getEic() {
        return eic;
    }

    /**
     * 试样码
     * @param eic value
     */
    public void setEic(String eic) {
        this.eic = eic;
    }

    /**
     * 样条号
     * @return value
     */
    public String getSampleNoMin() {
        return sampleNoMin;
    }

    /**
     * 样条号
     * @param sampleNoMin value
     */
    public void setSampleNoMin(String sampleNoMin) {
        this.sampleNoMin = sampleNoMin;
    }

    /**
     * 样条数GS
     * @return value
     */
    public String getSampleCount() {
        return sampleCount;
    }

    /**
     * 样条数GS
     * @param sampleCount value
     */
    public void setSampleCount(String sampleCount) {
        this.sampleCount = sampleCount;
    }

    /**
     * 取样长度
     * @return value
     */
    public String getSampleLen() {
        return sampleLen;
    }

    /**
     * 取样长度
     * @param sampleLen value
     */
    public void setSampleLen(String sampleLen) {
        this.sampleLen = sampleLen;
    }

    /**
     * 样管管号
     * @return value
     */
    public String getMatNo() {
        return matNo;
    }

    /**
     * 样管管号
     * @param matNo value
     */
    public void setMatNo(String matNo) {
        this.matNo = matNo;
    }

    /**
     * 管头编号
     * @return value
     */
    public String getHeadMatNo() {
        return headMatNo;
    }

    /**
     * 管头编号
     * @param headMatNo value
     */
    public void setHeadMatNo(String headMatNo) {
        this.headMatNo = headMatNo;
    }

    /**
     * 管序号
     * @return value
     */
    public String getBarCode() {
        return barCode;
    }

    /**
     * 管序号
     * @param barCode value
     */
    public void setBarCode(String barCode) {
        this.barCode = barCode;
    }

    /**
     * 内控判定结果 0 不合 1合格
     * @return value
     */
    public String getNkResult() {
        return nkResult;
    }

    /**
     * 内控判定结果 0 不合 1合格
     * @param nkResult value
     */
    public void setNkResult(String nkResult) {
        this.nkResult = nkResult;
    }

    /**
     * 交付判定结果 0不合 1合格
     * @return value
     */
    public String getJfResult() {
        return jfResult;
    }

    /**
     * 交付判定结果 0不合 1合格
     * @param jfResult value
     */
    public void setJfResult(String jfResult) {
        this.jfResult = jfResult;
    }

    /**
     * 判定结果来源（0系统  1人工）
     * @return value
     */
    public String getResultSource() {
        return resultSource;
    }

    /**
     * 判定结果来源（0系统  1人工）
     * @param resultSource value
     */
    public void setResultSource(String resultSource) {
        this.resultSource = resultSource;
    }

    /**
     * 是否报出 (0未报出  1已报出)  -----（暂未启用）------
     * @return value
     */
    public String getIsQuote() {
        return isQuote;
    }

    /**
     * 是否报出 (0未报出  1已报出)  -----（暂未启用）------
     * @param isQuote value
     */
    public void setIsQuote(String isQuote) {
        this.isQuote = isQuote;
    }

    /**
     * 有效标志（0无效  1有效）
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志（0无效  1有效）
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 原判定炉号
     * @return value
     */
    public String getOldJudgeStoveNo() {
        return oldJudgeStoveNo;
    }

    /**
     * 原判定炉号
     * @param oldJudgeStoveNo value
     */
    public void setOldJudgeStoveNo(String oldJudgeStoveNo) {
        this.oldJudgeStoveNo = oldJudgeStoveNo;
    }

    /**
     * 原性能批号
     * @return value
     */
    public String getOldBatchNo() {
        return oldBatchNo;
    }

    /**
     * 原性能批号
     * @param oldBatchNo value
     */
    public void setOldBatchNo(String oldBatchNo) {
        this.oldBatchNo = oldBatchNo;
    }

    /**
     * 是否主炉号（0否   1是）
     * @return value
     */
    public String getIsMain() {
        return isMain;
    }

    /**
     * 是否主炉号（0否   1是）
     * @param isMain value
     */
    public void setIsMain(String isMain) {
        this.isMain = isMain;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getCnt() {
        return cnt;
    }

    public void setCnt(String cnt) {
        this.cnt = cnt;
    }

    public String getPhyCodeMin() {
        return phyCodeMin;
    }

    public void setPhyCodeMin(String phyCodeMin) {
        this.phyCodeMin = phyCodeMin;
    }

    public String getSampleId() {
        return sampleId;
    }

    public void setSampleId(String sampleId) {
        this.sampleId = sampleId;
    }

    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    public String getPhyNameMin() {
        return phyNameMin;
    }

    public void setPhyNameMin(String phyNameMin) {
        this.phyNameMin = phyNameMin;
    }

    public String getChk() {
        return chk;
    }

    public void setChk(String chk) {
        this.chk = chk;
    }
}
